Subject: object files
From: Wouter van Oortmerssen <[email-masked]>
To: [email-masked]
Date: Fri, 9 Jul 1993 22:50:09 +0200

>> On Tue, 6 Jul 1993, Wouter van Oortmerssen wrote:
>> 
>> > [part of E statement]
>> 
>>         Wouter,
>>                 All of these things sound very interesting and I can't
>> wait to see them, but one thing I really want is linkable object output so
>> that I can link E code to C and ASM object files.  Will this be
>> implemented soon?
 
as was listed in the E statement, there will be a utility that
allows you to convert a .o file to a .m file, but this is mainly
targeted towards .o files produced by a macro assembler, rather
than a C compiler. the reason for this is that anything but trivial
C code depends on C initialisation code (c.o), which is ofcourse
not provided by the the E initialisation code.
 
>> Another thing which worries me a bit is the self-modifying code in the
>> compiler and in the executables it generates.  (Although everything seems
>> to work on my '040 okay with copyback on.)
 
???? both the compiler and the generated code do not have _ANY_ self
modifying code in them, and are 100% 040 compatible, also in
copyback mode. on what facts do you base this nonsense?
 
>> Thanks - Andrew Dunbar.
>> 
 
Wouter
 
   ____  Wouter van Oortmerssen, [email-masked]
  / __/  "Einen Satz verstehen, heisst, wissen was der Fall ist,
 / __/    wenn er wahr ist" - Wittgenstein
/___/  ->subscribe to the E mailing list: [email-masked]<-